package org.netkernel.client.http.representation;

public class HttpClientConfig implements IHttpClientConfig
{
	private boolean mFollowRedirects;
	private long mMaximumAcceptableContentLength;
	private int mMaximumConnectionsPerHost;
	private int mTotalConnections;
	private int mStateExpirationTime;
	private int mRetryAttempts;
	private int mConnectTimeout;
	private int mTimeout;
	private String mProxyHost;
	private int mProxyPort;

/** Creates a new instance of HttpClientConfigAspect */
	public HttpClientConfig(
		boolean	aFollowRedirects,
		long aAcceptableContentLength,
		int aConnectionsPerHost,
		int aTotalConnections,
		int aStateExpirationTime,
		int aRetryAttempts,
		int aConnectTimeout,
		int aTimeout,
		String aProxyHost,
		int aProxyPort
		
	)
	{	mFollowRedirects=aFollowRedirects;
		mMaximumAcceptableContentLength =aAcceptableContentLength;
		mMaximumConnectionsPerHost =aConnectionsPerHost;
		mTotalConnections=aTotalConnections;
		mStateExpirationTime=aStateExpirationTime;
		mRetryAttempts=aRetryAttempts;
		mConnectTimeout=aConnectTimeout;
		mTimeout=aTimeout;
		mProxyHost=aProxyHost;
		mProxyPort=aProxyPort;
	}
	
	public boolean followRedirects()
	{	return mFollowRedirects;
	}
	
	public long getMaximumAccepatbleContentLength()
	{	return mMaximumAcceptableContentLength;
	}
	
	public int getMaximumConnectionsPerHost()
	{	return mMaximumConnectionsPerHost;
	}
	
	public int getMaximumTotalConnections()
	{	return mTotalConnections;
	}
	
	public int getStateExpirationTime()
	{	return mStateExpirationTime;
	}
	
	public int getNumberOfRetryAttempts()
	{	return mRetryAttempts;
	}
	
	public int getConnectTimeout()
	{	return mConnectTimeout;		
	}
	
	public int getTimeout()
	{	return mTimeout;		
	}
	
	public String getProxyHost()
	{	return mProxyHost;		
	}
	public int getProxyPort()
	{	return mProxyPort;		
	}
}
